Me parece que han echado a perder algo en Eclipse. Que no reconoce ninguna de las bibliotecas que estoy tratando de importar.

Aquí están algunas de las cosas que no son reconocidos:

import java.util.ArrayList;
import android.content.Intent;
import com.google.android.maps.MapView;

Este es un proyecto de código abierto que he descargado y luego importar a Eclipse. Creo que también he descargado el api de google por el camino equivocado porque cosas como MapView no funcionan en mis otros proyectos. Por favor alguien puede ayudarme?

Mejor,

Aneem

EDICIÓN:

Fija, la mayoría de los temas. Hizo al pasar el mouse a la línea de importación y hacer clic en «Fix proyecto de instalación…»

Ahora lo único que tengo que hacer es obtener el mapa de google API relacionadas al trabajo.

OriginalEl autor Aneem | 2012-01-11

4 Comentarios

  1. 5

    Para comprobar si se ha instalado correctamente ADT
    goto -> Ventana> Preferencias.
    Si ves Android (en las preferencias), que significa que usted tiene ADT instalado.

    A punto para la válida SDK de directorio, haga clic en Android. Especifique la ubicación en la ubicación del SDK de.

    Incluso si usted ha instalado correctamente ADT y el SDK, hay una posibilidad de que eclipse no puede reconocer como el proyecto Android si importa(depende del proyecto & archivos).
    Lo mejor es, para crear un nuevo proyecto Android y copie los archivos de la importación de proyectos para el recién creado proyecto Android. Esto definitivamente va a trabajar.

    OriginalEl autor dcanh121

  2. 1

    Dos cosas a considerar:

    1. abrir las propiedades del proyecto -> sección de Android -> a ver si SDK de Android está seleccionado o no. si no SDK es seleccionado acaba de comprobar.

    2. en propiedades del proyecto -> Compilador de Java sección -> cambiar «Compilador nivel de conformidad» a «1.6». Esto es debido a que el haber instalado el JDK 1.7 que tiene algunos problemas con algunos paquetes!

    OriginalEl autor user2476030

  3. 0

    Más probable es que el ADT plugin no está apuntando a la SDK de Android. Siga las instrucciones para instalar y configurar el plugin:

    http://developer.android.com/sdk/eclipse-adt.html

    pero entonces, ¿por qué no es aún reconociendo ArrayList?
    Es Eclipse que apuntan a su instalación de JDK?
    ¿Cómo puedo comprobar?

    OriginalEl autor SeanPONeil

  4. 0

    Me clic con el botón derecho sobre el proyecto y las propiedades seleccionadas y añadió Api de Google 2.3.3 como el destino y realizó un proyecto->limpia y era capaz de lanzar la aplicación. Muchas gracias.

    OriginalEl autor johngoche9999

Dejar respuesta

Please enter your comment!
Please enter your name here